name: lightmeter
description: A new Flutter project.
publish_to: "none"
version: +29

environment:
  sdk: ">=3.0.0 <4.0.0"

dependencies:
  app_settings: 4.2.0
  bloc_concurrency: 0.2.2
  camera: 0.10.5
  clipboard: 0.1.3
  dynamic_color: 1.6.5
  exif: 3.1.4
  firebase_core: 2.13.0
  firebase_crashlytics: 3.3.1
  flutter:
    sdk: flutter
  flutter_bloc: 8.1.3
  flutter_localizations:
    sdk: flutter
  intl: 0.18.0
  intl_utils: 2.8.2
  light_sensor: 2.0.2
  m3_lightmeter_resources:
    git:
      url: "https://github.com/vodemn/m3_lightmeter_resources"
      ref: main
  material_color_utilities: 0.2.0
  package_info_plus: 4.0.1
  permission_handler: 10.2.0
  shared_preferences: 2.1.1
  url_launcher: 6.1.11
  uuid: 3.0.7
  vibration: 1.7.7

dev_dependencies:
  bloc_test: 9.1.3
  build_runner: ^2.1.7
  flutter_launcher_icons: 0.11.0
  flutter_native_splash: 2.2.16
  flutter_test:
    sdk: flutter
  google_fonts: 3.0.1
  lint: 2.1.2
  mocktail: 0.3.0
  test: 1.24.1

flutter:
  uses-material-design: true

flutter_intl:
  enabled: true
